#!/usr/local/bin/perl -w

print("test 1 (split)\n");

$line = "Betty Boop:555-5555:1 Boop Lane::100000";
# split line use : as delimiter
@fields = split(/:/,$line);
# @fields is ("Betty Boop", "555-5555", "1 Boop Lane",
#             "", "100000")
print("@fields\n");

print("test 2 (split)\n");

$line = "Betty Boop:555-5555:1 Boop Lane::100000";
# split line use :+ as delimiter
@fields = split(/:+/,$line);
# @fields is ("Betty Boop", "555-5555", "1 Boop Lane",
#             "100000")
print("@fields\n");

print("test 3 (split, empty trailing fields)\n");

# empty trailing fields are ignored
$line = "Betty Boop:555-5555:1 Boop Lane:100000:";
# split line use : as delimiter
($name,$phone,$address,$salary,$dob) = split(/:/, $line);
# $dob is undef
print("name = $name, phone = $phone, address = $address, salary = $salary, dob = $dob\n");

print("test 4 (join)\n");

# @fields is ("Betty Boop", "555-5555", "1 Boop Lane",
#             "100000")
# put $line back together
$gluedline = join(":", @fields);
# "Betty Boop:555-5555:1 Boop Lane:100000"
print("$gluedline\n");

print("test 5 (join, prepend with glue string)\n");

$result = join("+", "", @fields);
# "" is treated as the empty element to be glued
# with the first data element of @fields
# $result is "+Betty Boop+555-5555+1 Boop Lane+100000";
print("$result\n");

print("test 6 (join, append with glue string)\n");

$result = join("+", @fields, "");
# "" is treated as the empty element to be glued
# with the last  data element of @fields
# $result is "Betty Boop+555-5555+1 Boop Lane+100000+";
print("$result\n");

print("test 7 (join, prepend and append with glue string)\n");

$result = join("+", "", @fields, "");
# "" is treated as the empty element to be glued
# with the last  data element of @fields
# $result is "Betty Boop+555-5555+1 Boop Lane+100000+";
print("$result\n");



